<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'EditionComparison',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="ce-or-ee">
    <SlpContainer>
      <SlpRow class="slp-justify-content-center">
        <div
          v-for="card in data.cards"
          :key="card.title"
          :class="card.recommended ? 'enterprise-edition' : 'community-edition'"
          class="ce-or-ee-card__wrapper"
        >
          <div class="ce-or-ee-card">
            <div
              v-if="card.recommended"
              class="ce-or-ee-card__recommended slp-mb-16"
            >
              <SlpTypography
                class="slp-mb-16 slp-mt-8"
                tag="span"
                variant="body2-bold"
              >
                {{ card.recommended }}
              </SlpTypography>
            </div>
            <SlpTypography
              class="slp-mb-16 slp-mt-8 ce-or-ee__heading"
              tag="h3"
              variant="heading2-bold"
            >
              {{ card.title }}
            </SlpTypography>
            <div
              class="ce-or-ee-card__features"
              v-html="$md.render(card.features)"
            ></div>
            <SlpButton
              :data-ga-location="card.button.fields.dataGaLocation"
              :data-ga-name="card.button.fields.dataGaName"
              :href="card.button.fields.externalUrl"
              :variant="card.button.fields.variation"
              class="slp-mb-16 slp-mt-32"
              >{{ card.button.fields.text }}
              <SlpIcon
                class="slp-ml-8"
                name="chevron-lg-right"
                variant="product"
                size="sm"
                slp-color="$color-primary-300"
              />
            </SlpButton>
          </div>
          <div class="ce-or-ee-card__wrapper-disclaimer">
            <div
              class="ce-or-ee-card__disclaimer"
              v-html="$md.render(card.disclaimer)"
            ></div>
          </div>
        </div>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.ce-or-ee {
  margin-top: $spacing-64;

  .ce-or-ee__heading {
    white-space: normal;
    font-size: 32px;
    line-height: 40px;
    max-width: 180px;

    @media (min-width: $breakpoint-sm) {
      font-size: 40px;
      line-height: 48px;
      max-width: 300px;
    }

    @media (min-width: $breakpoint-md) {
      font-size: 48px;
    }
  }

  .ce-or-ee-card {
    padding: $spacing-16;

    @media (min-width: $breakpoint-md) {
      padding: $spacing-24;
      margin: $spacing-16;
    }
  }

  .enterprise-edition {
    .ce-or-ee-card {
      border: 2px solid $color-accent-500;
      background-color: $color-surface-800;
      box-sizing: border-box;
      box-shadow: 0 2px 50px rgba($color-surface-700, 0.08);
    }
  }
  .community-edition {
    .ce-or-ee-card {
      border: 1px solid $color-surface-200;
      box-sizing: border-box;
      border-radius: 8px;
    }
  }

  &:deep .check {
    position: relative;
    display: inline-block;
    width: 16px;
    height: 16px;
    background-color: $color-success-200;
    border-radius: 50%;
    margin-right: $spacing-8;
  }

  &:deep .check::before {
    content: '\2713';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: $color-text-50;
    font-size: 14px;
  }

  &:deep .x {
    position: relative;
    display: inline-block;
    width: 16px;
    height: 16px;
    background-color: $color-alert-200;
    border-radius: 50%;
    margin-right: $spacing-8;
  }

  &:deep .x::before {
    content: '\00D7';
    position: absolute;
    top: 45%;
    left: 53%;
    transform: translate(-50%, -50%);
    color: $color-text-50;
    font-size: 16px;
  }

  &-card {
    text-align: left;
    background: $color-surface-50;
    border-radius: 12px;
    position: relative;
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: space-between;

    &__wrapper {
      width: 50%;
      flex-direction: column;
      display: flex;
    }
    .slp-btn {
      justify-content: center;
    }

    &__recommended {
      color: $color-text-50;
      font-size: 12px;
      line-height: 12px;
      position: absolute;
      top: -18px;
      background: $color-accent-500;
      padding: $spacing-8 $spacing-24;
      margin: 0 auto;
      border-radius: 50px;
    }

    &__disclaimer {
      padding: $spacing-16 $spacing-32;
      font-size: $text-body-3;
      line-height: $line-height-body-3;
      color: $color-text-200;
    }

    &__features {
      text-align: left;
      font-size: $text-body-1;
      line-height: $line-height-body-1;

      &:deep li {
        margin-bottom: $spacing-8;
      }
    }
  }
}

@media (max-width: $breakpoint-md) {
  .ce-or-ee-card__wrapper {
    width: 100%;
    margin: 0;

    h2 {
      font-size: 24px;
    }
  }
}
</style>
